import java.sql.Timestamp;

public class PocketMoneyLinePK implements java.io.Serializable {
	public String owner;
	public Timestamp timestamp;

	public PocketMoneyLinePK(String owner, Timestamp timestamp) {
		this.owner = owner;
		this.timestamp = timestamp;
	}

	public boolean equals(Object other) {
		if (other instanceof PocketMoneyLinePK) {
			PocketMoneyLinePK pk = (PocketMoneyLinePK)other;
			return owner.equals(pk.owner) && timestamp.getTime() == pk.timestamp.getTime();
		}
		else {
			return false;
		}
	}

	public int hashCode() {
		return (owner + timestamp).hashCode();
	}
}
