import java.util.Collection;
import javax.ejb.*;
import javax.naming.*;
import java.rmi.RemoteException;

public interface PocketMoneySession extends EJBObject {
	public void createAccount() throws RemoteException, CreateException;
	public void removeAccount() throws RemoteException, RemoveException;
	public PocketMoneyVO get() throws RemoteException;
	public Collection getLines() throws RemoteException;
	public void deposit(int amount, String reason) throws RemoteException;
	public void payment(int amount, String reason) throws RemoteException;
}
