import java.sql.*;
import javax.sql.*;
import java.util.*;
import javax.ejb.*;
import javax.naming.*;

abstract public class PocketMoneyLineBean implements EntityBean {
	private EntityContext context;

	abstract public String getOwner();
	abstract public void setOwner(String owner);
	abstract public Timestamp getTimestamp();
	abstract public void setTimestamp(Timestamp timestamp);
	abstract public int getBalance();
	abstract public void setBalance(int balance);
	abstract public String getReason();
	abstract public void setReason(String reason);

	public PocketMoneyLineVO getVO() {
		return new PocketMoneyLineVO(getOwner(), getTimestamp(), getBalance(), getReason());
	}

	public void setEntityContext(EntityContext context) {
		this.context = context;
	}

	public void unsetEntityContext() {
		this.context = null;
	}

	public void ejbActivate() {}
	public void ejbPassivate() {}

	public PocketMoneyLinePK ejbCreate(String owner, Timestamp timestamp, int balance, String reason) throws CreateException {
		setOwner(owner);
		setTimestamp(timestamp);
		setBalance(balance);
		setReason(reason);
		return null;
	}

	public void ejbPostCreate(String owner, Timestamp timestamp, int balance, String reason) {}

	public void ejbRemove() {}
	public void ejbLoad() {}
	public void ejbStore() {}

}
