import java.util.Collection;
import javax.ejb.EJBObject;
import java.rmi.RemoteException;

public interface PocketMoneySession extends EJBObject {
	public void createAccount() throws RemoteException;
	public void removeAccount() throws RemoteException;
	public PocketMoney get() throws RemoteException;
	public Collection getLines() throws RemoteException;
	public void deposit(int amount, String reason) throws RemoteException;
	public void payment(int amount, String reason) throws RemoteException;
}
