import java.sql.Timestamp;
import java.io.Serializable;

public class PocketMoneyLineVO implements Serializable {
	protected String owner;
	protected Timestamp timestamp;
	protected int balance;
	protected String reason;

	public PocketMoneyLineVO(String owner, Timestamp timestamp, int balance, String reason) {
		this.owner = owner;
		this.timestamp = timestamp;
		this.balance = balance;
		this.reason = reason;
	}

	public String toString() {
		return owner + "(" + timestamp + ") " + balance + "@" + reason;
	}

	public String getOwner() {
		return owner;
	}

	public Timestamp getTimestamp() {
		return timestamp;
	}

	public int getBalance() {
		return balance;
	}

	public String getReason() {
		return reason;
	}
}
