import java.util.Date;
import java.io.Serializable;

public class PocketMoneyLine implements Serializable {
	protected String owner;
	protected Date timeStamp;
	protected int balance;
	protected String reason;

	public PocketMoneyLine(String owner, Date timeStamp, int balance, String reason) {
		this.owner = owner;
		this.timeStamp = timeStamp;
		this.balance = balance;
		this.reason = reason;
	}

	public String toString() {
		return owner + "(" + timeStamp + ") " + balance + "@" + reason;
	}

	public String getOwner() {
		return owner;
	}

	public Date getTimeStamp() {
		return timeStamp;
	}

	public int getBalance() {
		return balance;
	}

	public String getReason() {
		return reason;
	}
}
