import java.util.Collection;
import javax.ejb.EJBObject;
import java.rmi.RemoteException;

public interface PocketMoneySession extends EJBObject {
	public void createAccount(String owner) throws RemoteException;
	public void removeAccount(String owner) throws RemoteException;
	public PocketMoney get(String owner) throws RemoteException;
	public Collection getLines(String owner) throws RemoteException;
	public void deposit(String owner, int amount, String reason) throws RemoteException;
	public void payment(String owner, int amount, String reason) throws RemoteException;
}
